Permalink
Browse files

Update Rakefile to require specific rdoc version for hanna template

  • Loading branch information...
1 parent 8827677 commit ee923d98fdcd541bb00a3cf70c050d2ba472f1e4 @jeremyevans committed Dec 13, 2013
Showing with 8 additions and 2 deletions.
  1. +8 −2 Rakefile
View
@@ -22,11 +22,17 @@ end
### RDoc
-RDOC_DEFAULT_OPTS = ["--quiet", "--line-numbers", "--inline-source", '--title', 'Forme']
+RDOC_DEFAULT_OPTS = ["--line-numbers", "--inline-source", '--title', 'Forme']
+
+begin
+ gem 'rdoc', '= 3.12.2'
+ gem 'hanna-nouveau'
+ RDOC_DEFAULT_OPTS.concat(['-f', 'hanna'])
+rescue Gem::LoadError
+end
rdoc_task_class = begin
require "rdoc/task"
- RDOC_DEFAULT_OPTS.concat(['-f', 'hanna'])
RDoc::Task
rescue LoadError
require "rake/rdoctask"

0 comments on commit ee923d9

Please sign in to comment.